org.apache.tinkerpop.gremlin.structure.util.empty

## Class EmptyGraph.EmptyGraphFeatures

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.util.empty.EmptyGraph.EmptyGraphFeatures

- All Implemented Interfaces:
    Graph.Features
  Enclosing class:
    EmptyGraph

      public static final class EmptyGraph.EmptyGraphFeatures
      extends Object
      implements Graph.Features

  Features defined such that they support immutability but allow all other possibilities.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `EmptyGraph.EmptyGraphFeatures.EmptyGraphEdgeFeatures` Edge features defined such that they support immutability but allow all other possibilities.
    `class` | `EmptyGraph.EmptyGraphFeatures.EmptyGraphEdgePropertyFeatures` Edge property features defined such that they support immutability but allow all other possibilities.
    `class` | `EmptyGraph.EmptyGraphFeatures.EmptyGraphElementFeatures` Vertex features defined such that they support immutability but allow all other possibilities.
    `class` | `EmptyGraph.EmptyGraphFeatures.EmptyGraphGraphFeatures` Graph features defined such that they support immutability but allow all other possibilities.
    `class` | `EmptyGraph.EmptyGraphFeatures.EmptyGraphVertexFeatures` Vertex features defined such that they support immutability but allow all other possibilities.
    `class` | `EmptyGraph.EmptyGraphFeatures.EmptyGraphVertexPropertyFeatures` Vertex Property features defined such that they support immutability but allow all other possibilities.

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features

      `Graph.Features.DataTypeFeatures, Graph.Features.EdgeFeatures, Graph.Features.EdgePropertyFeatures, Graph.Features.ElementFeatures, Graph.Features.FeatureSet, Graph.Features.GraphFeatures, Graph.Features.PropertyFeatures, Graph.Features.VariableFeatures, Graph.Features.VertexFeatures, Graph.Features.VertexPropertyFeatures`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Graph.Features.EdgeFeatures` | `edge()` Gets the features related to "edge" operation.
    `Graph.Features.GraphFeatures` | `graph()` Gets the features related to "graph" operation.
    `Graph.Features.VertexFeatures` | `vertex()` Gets the features related to "vertex" operation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features

      `supports`

- - ### Method Detail

    - #### graph

          public Graph.Features.GraphFeatures graph()

      Description copied from interface: `Graph.Features`
      Gets the features related to "graph" operation.
      Specified by:
        `graph` in interface `Graph.Features`

    - #### vertex

          public Graph.Features.VertexFeatures vertex()

      Description copied from interface: `Graph.Features`
      Gets the features related to "vertex" operation.
      Specified by:
        `vertex` in interface `Graph.Features`

    - #### edge

          public Graph.Features.EdgeFeatures edge()

      Description copied from interface: `Graph.Features`
      Gets the features related to "edge" operation.
      Specified by:
        `edge` in interface `Graph.Features`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.